In general, our product configurator supports all common browser types

If you work with Internet Explorer, please take into account that the configurator is only compatible with versions from IE10 onwards!

Please give us a feedback! Does this article help you? If not, please do not hesitate to contact us personally via chat (blue chat button). 

Did this answer your question?